
%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:                   conmon
Version:                2.0.21
Release:                4%{?dist}
Epoch:                  3
Summary:                An OCI container runtime monitor
License:                Apache-2.0
Url:                    https://github.com/containers/conmon
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America
BuildRequires:          golang >= 1.15.9
BuildRequires:          git
BuildRequires:          gcc
BuildRequires:          make
BuildRequires:          glibc-static
BuildRequires:          glib2-devel
BuildRequires:          glibc-devel
BuildRequires:          pkgconfig

%description
Conmon is a monitoring program and communication tool between a container
manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
single container.

%prep
%setup -n %{name}-%{version}

%build
%{__make} bin/conmon

%install
%{__make} PREFIX=%{buildroot}%{_libexecdir}/crio BINDIR=%{buildroot}%{_libexecdir}/crio install
# OL8 version of podman doesn't know about /usr/libexec/crio/conmon
install -dp %{buildroot}%{_bindir}
ln -sf %{_libexecdir}/crio/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%attr(755,root,root) %{_libexecdir}/crio/%{name}
%{_bindir}/%{name}
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Tue Apr 20 2021 Daniel Carvallo <luis.daniel.carvallo@oracle.com> - 3:2.0.21-4
- Address CVE-2021-27918

* Thu Nov 12 2020 Daniel Krasinski <daniel.krasinski@oracle.com> - 3:2.0.21-3
- Define a epoch

* Fri Nov 06 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 2.0.21-3
- Provides symlink for /usr/bin/conmon

* Wed Oct 14 2020 Michael Thompson <michael.a.thompson@oracle.com> - 2.0.21-2
- Update for building OL8 RPMs.

* Wed Sep 09 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.0.21-1
- Added build scripts
